## grass 8.2.1

=== Makefile ===
#############################################################################
#
# MODULE:   	GRASS Compilation
# AUTHOR(S):	Original author unknown - probably CERL
#   	    	Justin Hickey - Thailand - jhickey AT hpcc.nectec.or.th
#   	    	Markus Neteler - Germany - neteler AT itc.it
#   	    	Andreas Lange - Germany - Andreas.Lange AT Rhein-Main.de
#   	    	Radim Blazek - Italy - blazek AT itc.it
# PURPOSE:  	It provides the commands necessary to compile, install,
#   	    	clean, and uninstall GRASS
#   	    	See INSTALL.md file for usage.
# COPYRIGHT:    (C) 2002-2023 by the GRASS Development Team
#
#               This program is free software under the GNU General Public
#   	    	License (>=v2). Read the file COPYING that comes with GRASS
#   	    	for details.
#
#############################################################################

MODULE_TOPDIR = .

include $(MODULE_TOPDIR)/include/Make/Dir.make
include $(MODULE_TOPDIR)/include/Make/Compile.make

DATE := $(shell date '+%d_%m_%Y')

DIRS = \
	demolocation \
	utils \
	include \
	lib \
	python \
	db \
	display \
	general \
	raster \
	raster3d \
	vector \
	misc \
	imagery \
	ps \
	scripts \
	temporal \
	doc \
	gui \
	visualization \
	locale \
	man \
	macosx \
	mswindows

SUBDIRS = $(DIRS)

FILES = AUTHORS CHANGES CITING COPYING GPL.TXT INSTALL.md REQUIREMENTS.html contributors.csv contributors_extra.csv translators.csv
FILES_DST = $(patsubst %,$(ARCH_DISTDIR)/%,$(FILES))

default:
	@echo "GRASS GIS $(GRASS_VERSION_MAJOR).$(GRASS_VERSION_MINOR).$(GRASS_VERSION_RELEASE) $(GRASS_VERSION_GIT) compilation log" \
		> $(ERRORLOG)
	@echo "--------------------------------------------------" >> $(ERRORLOG)
	@echo "Started compilation: `date`"                        >> $(ERRORLOG)
	@echo "--"                                                 >> $(ERRORLOG)
	@echo "Errors in:"                                         >> $(ERRORLOG)
	-$(CHMOD) 755 install-sh
	$(MAKE) subdirs
	$(MAKE) $(FILES_DST)
	$(MAKE) manifests
	@if [ `wc -l < "$(ERRORLOG)"` -gt 5 ] ; then \
		echo "--"     >> $(ERRORLOG) ; \
		echo "In case of errors please change into the directory with error and run 'make'." >> $(ERRORLOG) ; \
		echo "If you get multiple errors, you need to deal with them in the order they"      >> $(ERRORLOG) ; \
		echo "appear in the error log. If you get an error building a library, you will"     >> $(ERRORLOG) ; \
		echo "also get errors from anything which uses the library."  >> $(ERRORLOG) ; \
	else \
		echo "No errors detected." >> $(ERRORLOG) ; \
	fi
	@echo "--"  >> $(ERRORLOG)
	@echo "Finished compilation: `date`" >> $(ERRORLOG)
	@cat $(ERRORLOG)
	@if [ `wc -l < "$(ERRORLOG)"` -gt 8 ] ; then false ; else true ; fi

manifests:
ifeq ($(MANIFEST),external)
	find $(ARCH_DISTDIR) -type f -name '*.exe' | \
	while read file ; do \
	    $(MAKE) "$$file".manifest ; \
	done
endif

$(ARCH_DISTDIR)/%: %
	$(INSTALL_DATA) $< $@

LIBDIRS = \
	lib/external/shapelib \
	lib/datetime \
	lib/gis \
	lib/linkm \
	lib/db \
	lib/vector \
	db/drivers \
	python

# Compile libraries only
libs:
	$(MAKE) -C include
	$(MAKE) subdirs SUBDIRS=$(LIBDIRS)
	$(MAKE) $(FILES_DST)

cleandistdirs: 
	-rm -rf $(ARCH_DISTDIR)
	-rm -rf $(ARCH_BINDIR)

# Clean out the strings extracted from scripts for translation
cleanscriptstrings:
	rm -f locale/scriptstrings/*.c 2>/dev/null

clean: cleandistdirs cleanscriptstrings cleandocs

libsclean: cleandistdirs
	$(MAKE) clean-recursive SUBDIRS=$(LIBDIRS)

distclean: clean
	-rm -f config.cache config.log config.status config.status.$(ARCH) 2>/dev/null
	-rm -f ChangeLog ChangeLog.bak $(ERRORLOG) grass.pc
	-rm -f include/grass/config.h include/grass/version.h
	-rm -f include/Make/Platform.make include/Make/Doxyfile_arch_html include/Make/Doxyfile_arch_latex 2>/dev/null

include $(MODULE_TOPDIR)/include/Make/Install.make
include $(MODULE_TOPDIR)/include/Make/Docs.make
include $(MODULE_TOPDIR)/include/Make/Doxygen.make
include $(MODULE_TOPDIR)/include/Make/Sphinx.make

DOXNAME=grass

.PHONY: default libs
.PHONY: cleandistdirs cleanscriptstrings clean libsclean distclean

=== general/Makefile ===

MODULE_TOPDIR = ..

SUBDIRS = \
	g.access \
	g.cairocomp \
	g.copy \
	g.dirseps \
	g.filename \
	g.findetc \
	g.findfile \
	g.gisenv \
	g.gui \
	g.list \
	g.mapset \
	g.mapsets \
	g.message \
	g.mkfontcap \
	g.parser \
	g.pnmcomp \
	g.ppmtopng \
	g.proj \
	g.region \
	g.remove \
	g.rename \
	g.tempfile \
	g.version \
	manage

#	g.setproj \

include $(MODULE_TOPDIR)/include/Make/Dir.make

default: parsubdirs

=== lib/Makefile ===
MODULE_TOPDIR = ..

include $(MODULE_TOPDIR)/include/Make/Vars.make

#order is relevant:
SUBDIRS = \
	datetime \
	gis \
	proj \
	raster \
	external \
	gmath \
	linkm \
	driver \
	pngdriver \
	psdriver \
	htmldriver \
	cairodriver \
	bitmap \
	btree \
	btree2 \
	display \
	db \
	fonts \
	vector \
	imagery \
	cluster \
	rowio \
	segment \
	rst \
	lidar \
	raster3d \
	raster3d/test \
	gpde \
	dspf \
	symbol \
	init \
	cdhc \
	stats \
	arraystats \
	ogsf \
	nviz \
	temporal \
	iostream \
	manage \
	calc

include $(MODULE_TOPDIR)/include/Make/Dir.make
include $(MODULE_TOPDIR)/include/Make/Doxygen.make

default: subdirs

=== locale/Makefile ===
# written by Markus Neteler
# tcl stuff by Cedric Shock
# wxpython by Martin Landa

MODULE_TOPDIR = ..
include $(MODULE_TOPDIR)/include/Make/Other.make

default:
	@if [ "$(HAVE_NLS)" != "" ] ; then \
		echo "Creating translations (= 'make mo')" >&2 ; \
		$(MAKE) mo ; \
		echo "Creating translation statistics (= 'make statistics')" >&2 ; \
		$(MAKE) statistics ; \
	else \
		echo "NLS disabled." ; \
	fi

all:
	@echo 'Usage:'
	@echo '   make pot        create grass.pot (containing original messages)'
	@echo '   make update-po  merge new messages into existing *.po files'
	@echo '   make mo         create the *.mo files'
	@echo '   make verify     verify the *.po files'

# Directory for installing tcl .msg files:
PO_DIR = po

#distinguish between library messages and modules:
LIBDOMAIN = grasslibs
MODDOMAIN = grassmods
WXPYDOMAIN = grasswxpy
DOMAINS = $(LIBDOMAIN) $(MODDOMAIN) $(WXPYDOMAIN)

LIB_POTFILES = find ../lib \( -name "*.c" -o -name "*.py" \) | xargs grep -l "_(\"\|n_(\""
MOD_POTFILES = find ../ -name '*.c' | grep -v '../lib' | xargs grep -l "_(\"\|n_(\""
WXPY_POTFILES = find ../gui/wxpython -name '*.py' | xargs grep -l "_(\"\|n_(\""
#For Python script module messages
MOD_PYFILES = find ../scripts -name '*.py' | xargs grep -l "_(\"\|n_(\""

define po_stats
GISBASE="$(RUN_GISBASE)" $(PYTHON) ./grass_po_stats.py
endef

#The xgettext utility is used to automate the creation of
#portable message files (.po)
pot:
	if [ ! -f ../gui/wxpython/menustrings.py ] ; then \
		echo "Build GRASS before running 'make pot'" >&2 ; \
		exit 1 ; \
	fi
	@rm -f ./templates/*.pot
	@echo "Generating $(LIBDOMAIN)..."
	xgettext --from-code=utf-8 --keyword=_ --keyword=n_:1,2 -cGTC -o ./templates/$(LIBDOMAIN).pot `$(LIB_POTFILES)`
	@echo "Generating $(MODDOMAIN)..."
	xgettext --from-code=utf-8 --keyword=_ --keyword=n_:1,2 -cGTC -o ./templates/$(MODDOMAIN).pot `$(MOD_POTFILES)`
	xgettext --from-code=utf-8 -j --keyword=_ --keyword=n_:1,2 -cGTC -o ./templates/$(MODDOMAIN).pot `$(MOD_PYFILES)`
	@echo "Generating $(WXPYDOMAIN)..."
	xgettext --from-code=utf-8 --keyword=_ --keyword=n_:1,2 -cGTC -o ./templates/$(WXPYDOMAIN).pot `$(WXPY_POTFILES)`

#merge already existing translations with new messages in POT template file and create new po files:
update-po:
	@for i in $(DOMAINS) ; do \
		if [ "`ls ./po/$$i\_*.po 2>/dev/null`" = "" ] ; then \
		 echo "No $$i.po file found in ./po/ directory. Will create new po files from template." ; \
		 cp ./templates/$$i.pot ./po/$$i.po ; \
		 echo "Created ./po/$$i.po - Rename to ./po/$$i\_LANG.po (with LANG: de, ru, ...)" ; \
		 echo "Then you can translate the messages in this file (e.g with kbabel)" ; \
		fi ;\
	done
	@cd ./po/ ; for po in `ls *_*.po 2>/dev/null` ; do \
		suffix=`echo $$po | cut -d'_' -f2-`; \
		lingua=`basename $$suffix .po`; \
		prefix=`echo $$po | cut -d'_' -f1`; \
		if msgmerge -o $$prefix\_$$suffix.new $$prefix\_$$suffix ../templates/$$prefix.pot; then\
		  mv $$prefix\_$$suffix.new $$prefix\_$$suffix; \
		  echo "Merged new messages into $$prefix\_$$suffix" ; \
		else \
		    echo "Merging failed"; \
		fi \
		done
	@echo "Be careful with git commits as .po file updates must be synchronized with the individual translators."

verify:
	@cd ./po/ ; for po in `ls *_*.po 2>/dev/null` ; do \
		echo "----- $$po:" ; \
		msgfmt -c $$po; \
	done
	@rm -f po/messages.mo
	@echo "Note: In case of translations errors to be fixed, edit the respective translation on transifex (and not in git)"

statistics:
	$(call po_stats)

define dom_rule
$(1)_FILES := $$(patsubst po/grass$(1)_%.po,$$(MO_DIR)/%/LC_MESSAGES/grass$(1).mo,$$(wildcard po/grass$(1)_*.po))
$$(MO_DIR)/%/LC_MESSAGES/grass$(1).mo: po/grass$(1)_%.po
	@ [ -d $$(MO_DIR)/$$*/LC_MESSAGES ] || $(MKDIR) $$(MO_DIR)/$$*/LC_MESSAGES
	msgfmt --statistics -o $$@ $$<
endef
$(foreach domain,libs mods wxpy,$(eval $(call dom_rule,$(domain))))

$(MSG_DIR)/%.msg: po/grasstcl_%.po
	@ [ -d $(MSG_DIR) ] || $(MKDIR) $(MSG_DIR)
	msgfmt --statistics --tcl -l $* -d $(MSG_DIR)/ $<

MSGFILES := $(patsubst po/grasstcl_%.po,$(MSG_DIR)/%.msg,$(wildcard po/grasstcl_*.po))

#create binary messages files
mo: $(libs_FILES) $(mods_FILES) $(wxpy_FILES) $(MSGFILES)

.PHONY: mo

=== man/Makefile ===
MODULE_TOPDIR = ..

include $(MODULE_TOPDIR)/include/Make/Other.make

MANPAGES := $(patsubst $(HTMLDIR)/%.html,$(MANDIR)/%.$(MANSECT),$(wildcard $(HTMLDIR)/*.html))

DSTFILES := \
	$(HTMLDIR)/grassdocs.css \
	$(HTMLDIR)/grass_logo.png \
	$(HTMLDIR)/hamburger_menu.svg \
	$(HTMLDIR)/hamburger_menu_close.svg \
	$(HTMLDIR)/grass_icon.png \
	$(HTMLDIR)/jquery.fixedheadertable.min.js \
	$(HTMLDIR)/parser_standard_options.css \
	$(HTMLDIR)/parser_standard_options.js

categories = \
	d:display \
	db:database \
	g:general \
	i:imagery \
	m:miscellaneous \
	ps:postscript \
	r:raster \
	r3:raster3d \
	t:temporal \
	v:vector

EXTRA_CLEAN_DIRS := $(wildcard __pycache__)

IDXCATS := $(foreach cat,$(categories),$(lastword $(subst :, ,$(cat))))

IDXSRC = full_index index topics keywords graphical_index manual_gallery class_graphical parser_standard_options $(IDXCATS)

INDICES := $(patsubst %,$(HTMLDIR)/%.html,$(IDXSRC))

ALL_HTML := $(wildcard $(HTMLDIR)/*.*.html)

ifneq (@(type sphinx-build2 > /dev/null),)
SPHINXBUILD   = sphinx-build2
endif
ifneq (@(type sphinx-build > /dev/null),)
SPHINXBUILD   = sphinx-build
endif

default: $(DSTFILES)
	@echo "Generating HTML manual pages index (help system)..."
	$(MAKE) $(INDICES)
	$(call build,check)
	$(MAKE) manpages

# This must be a separate target so that evaluation of $(MANPAGES)
# is delayed until the indices have been generated
left := (
right := )
manpages:
	$(MAKE) $(subst $(left),\$(left),$(subst $(right),\$(right),$(MANPAGES)))

.PHONY: manpages

define build
GISBASE="$(RUN_GISBASE)" ARCH="$(ARCH)" ARCH_DISTDIR="$(ARCH_DISTDIR)" \
	VERSION_NUMBER=$(GRASS_VERSION_NUMBER) VERSION_DATE=$(GRASS_VERSION_DATE) \
	$(PYTHON) ./build_$(1).py $(2)
endef

define build_topics
GISBASE="$(RUN_GISBASE)" ARCH="$(ARCH)" ARCH_DISTDIR="$(ARCH_DISTDIR)" \
	VERSION_NUMBER=$(GRASS_VERSION_NUMBER) VERSION_DATE=$(GRASS_VERSION_DATE) \
	$(PYTHON) ./build_topics.py $(HTMLDIR)
endef

define build_keywords
GISBASE="$(RUN_GISBASE)" ARCH="$(ARCH)" ARCH_DISTDIR="$(ARCH_DISTDIR)" \
	VERSION_NUMBER=$(GRASS_VERSION_NUMBER) VERSION_DATE=$(GRASS_VERSION_DATE) \
	$(PYTHON) ./build_keywords.py $(HTMLDIR)
endef

define build_graphical_index
GISBASE="$(RUN_GISBASE)" ARCH="$(ARCH)" ARCH_DISTDIR="$(ARCH_DISTDIR)" \
	VERSION_NUMBER=$(GRASS_VERSION_NUMBER) VERSION_DATE=$(GRASS_VERSION_DATE) \
	$(PYTHON) ./build_graphical_index.py $(HTMLDIR)
endef

define build_manual_gallery
GISBASE="$(RUN_GISBASE)" ARCH="$(ARCH)" ARCH_DISTDIR="$(ARCH_DISTDIR)" \
	VERSION_NUMBER=$(GRASS_VERSION_NUMBER) VERSION_DATE=$(GRASS_VERSION_DATE) \
	$(PYTHON) ./build_manual_gallery.py $(HTMLDIR)
endef

define build_pso
GISBASE="$(RUN_GISBASE)" ARCH="$(ARCH)" ARCH_DISTDIR="$(ARCH_DISTDIR)" \
	VERSION_NUMBER=$(GRASS_VERSION_NUMBER) VERSION_DATE=$(GRASS_VERSION_DATE) \
	$(PYTHON) ./parser_standard_options.py -t "$(GRASS_HOME)/lib/gis/parser_standard_options.c" \
	-f "grass" -o "$(HTMLDIR)/parser_standard_options.html" -p 'id="opts_table" class="scroolTable"'
endef

$(HTMLDIR)/topics.html: $(ALL_HTML)

define build_class_graphical
GISBASE="$(RUN_GISBASE)" ARCH="$(ARCH)" ARCH_DISTDIR="$(ARCH_DISTDIR)" \
	VERSION_NUMBER=$(GRASS_VERSION_NUMBER) VERSION_DATE=$(GRASS_VERSION_DATE) \
	$(PYTHON) ./build_class_graphical.py $(HTMLDIR)
endef

$(HTMLDIR)/topics.html: $(ALL_HTML) build_topics.py
	$(call build_topics)
	touch $@

$(HTMLDIR)/full_index.html: $(ALL_HTML) build_full_index.py build_html.py
	$(call build,full_index)
	touch $@

$(HTMLDIR)/index.html: build_index.py build_html.py
	$(call build,index)
	touch $@

$(HTMLDIR)/keywords.html: $(ALL_HTML)
	$(call build_keywords)
	touch $@


$(HTMLDIR)/graphical_index.html: $(ALL_HTML)
	$(call build_graphical_index)
	touch $@

$(HTMLDIR)/manual_gallery.html: $(ALL_HTML)
	$(call build_manual_gallery)

$(HTMLDIR)/parser_standard_options.html: $(ALL_HTML)
	$(call build_pso)
	touch $@

# TODO: this should be done in the same way as category_rule
$(HTMLDIR)/class_graphical.html: $(ALL_HTML)
	$(call build_class_graphical)
	touch $@

define category_rule
$$(HTMLDIR)/$(2).html: $$(wildcard $$(HTMLDIR)/$(1).*.html) build_class.py build_html.py
	$$(call build,class,$(1) $(2))
	touch $$@
endef

$(foreach cat,$(categories),$(eval $(call category_rule,$(firstword $(subst :, ,$(cat))),$(lastword $(subst :, ,$(cat))))))

$(HTMLDIR)/grassdocs.css: grassdocs.css
	$(INSTALL_DATA) $< $@

$(HTMLDIR)/grass_logo.png: grass_logo.png
	$(INSTALL_DATA) $< $@

$(HTMLDIR)/hamburger_menu.svg: hamburger_menu.svg
	$(INSTALL_DATA) $< $@

$(HTMLDIR)/hamburger_menu_close.svg: hamburger_menu_close.svg
	$(INSTALL_DATA) $< $@

$(HTMLDIR)/grass_icon.png: grass_icon.png
	$(INSTALL_DATA) $< $@

$(HTMLDIR)/jquery.fixedheadertable.min.js: jquery.fixedheadertable.min.js
	$(INSTALL_DATA) $< $@

$(HTMLDIR)/parser_standard_options.js: parser_standard_options.js
	$(INSTALL_DATA) $< $@

$(HTMLDIR)/parser_standard_options.css: parser_standard_options.css
	$(INSTALL_DATA) $< $@

=== misc/Makefile ===
MODULE_TOPDIR = ..

SUBDIRS = \
	m.cogo \
	m.measure \
	m.nviz.image \
	m.nviz.script \
	m.transform

include $(MODULE_TOPDIR)/include/Make/Dir.make

default: parsubdirs

=== raster/Makefile ===
MODULE_TOPDIR = ..

SUBDIRS = \
	r.basins.fill \
	r.buffer \
	r.buildvrt \
	r.carve \
	r.category \
	r.circle \
	r.clump \
	r.coin \
	r.colors \
	r.colors.out \
	r.composite \
	r.compress \
	r.contour \
	r.cost \
	r.covar \
	r.cross \
	r.describe \
	r.distance \
	r.external \
	r.external.out \
	r.fill.dir \
	r.fill.stats \
	r.flow \
	r.geomorphon \
	r.grow.distance \
	r.gwflow \
	r.his \
	r.horizon \
	r.in.ascii \
	r.in.bin \
	r.in.gdal \
	r.in.gridatb \
	r.in.lidar \
	r.in.mat \
	r.in.pdal \
	r.in.png \
	r.in.poly \
	r.in.xyz \
	r.info \
	r.kappa \
	r.latlong \
	r.lake \
	r.li \
	r.mapcalc \
	r.mfilter \
	r.mode \
	r.neighbors \
	r.null \
	r.object.geometry \
	r.out.ascii \
	r.out.bin \
	r.out.gdal \
	r.out.gridatb \
	r.out.mat \
	r.out.mpeg \
	r.out.png \
	r.out.pov \
	r.out.ppm \
	r.out.ppm3 \
	r.out.vrml \
	r.out.vtk \
	r.param.scale \
	r.patch \
	r.path \
	r.profile \
	r.proj \
	r.quant \
	r.quantile \
	r.random \
	r.random.cells \
	r.random.surface \
	r.reclass \
	r.recode \
	r.region \
	r.regression.line \
	r.regression.multi \
	r.report \
	r.resamp.bspline \
	r.resamp.filter \
	r.resamp.interp \
	r.resamp.rst \
	r.resamp.stats \
	r.resample \
	r.rescale \
	r.rescale.eq \
	r.ros \
	r.series \
	r.series.accumulate \
	r.series.interp \
	r.relief \
	r.sim \
	r.slope.aspect \
	r.solute.transport \
	r.spread \
	r.spreadpath \
	r.statistics \
	r.stats.zonal \
	r.stats.quantile \
	r.stats \
	r.stream.extract \
	r.sun \
	r.sunhours \
	r.sunmask \
	r.support \
	r.support.stats \
	r.surf.area \
	r.surf.contour \
	r.surf.fractal \
	r.surf.gauss \
	r.surf.idw \
	r.surf.random \
	r.terraflow \
	r.texture \
	r.thin \
	r.tile \
	r.timestamp \
	r.to.rast3 \
	r.to.rast3elev \
	r.to.vect \
	r.topidx \
	r.topmodel \
	r.transect \
	r.univar \
	r.uslek \
	r.usler \
	r.viewshed \
	r.volume \
	r.walk \
	r.water.outlet \
	r.watershed \
	r.what \
	r.what.color

PGM = rasterintro

include $(MODULE_TOPDIR)/include/Make/Dir.make

default:
	$(MAKE) -C r.mapcalc
	$(MAKE) htmldir 

htmldir: parsubdirs

$(HTMLDIR)/r.in.png:
	# no-op - override Html.make rule for .png image files

$(HTMLDIR)/r.out.png:
	# no-op - override Html.make rule for .png image files

=== scripts/Makefile ===
MODULE_TOPDIR = ..

SUBDIRS = \
	d.background \
	d.correlate \
	d.frame \
	d.out.file \
	d.to.rast \
	d.polar \
	d.rast.edit \
	d.rast.leg \
	d.redraw \
	d.shade \
	d.what.rast \
	d.what.vect \
	db.dropcolumn \
	db.droptable \
	db.in.ogr \
	db.out.ogr \
	db.test \
	db.univar \
	g.download.location \
	g.extension \
	g.extension.all \
	g.manual \
	g.search.modules \
	i.band.library \
	i.colors.enhance \
	i.image.mosaic \
	i.in.spotvgt \
	i.oif \
	i.pansharpen \
	i.spectral \
	i.tasscap \
	m.proj \
	r.blend \
	r.buffer.lowmem \
	r.colors.stddev \
	r.drain \
	r.fillnulls \
	r.grow \
	r.import \
	r.in.aster \
	r.in.srtm \
	r.in.wms \
	r.mapcalc.simple \
	r.mask \
	r.out.xyz \
	r.pack \
	r.plane \
	r.reclass.area \
	r.rgb \
	r.semantic.label \
	r.shade \
	r.tileset \
	r.unpack \
	r3.in.xyz \
	v.build.all \
	v.centroids \
	v.clip \
	v.db.addcolumn \
	v.db.addtable \
	v.db.join \
	v.db.dropcolumn \
	v.db.droprow \
	v.db.droptable \
	v.db.renamecolumn \
	v.db.reconnect.all \
	v.db.univar \
	v.db.update \
	v.dissolve \
	v.import \
	v.in.e00 \
	v.in.geonames \
	v.in.lines \
	v.in.mapgen \
	v.in.wfs \
	v.rast.stats \
	v.report \
	v.pack \
	v.to.lines \
	v.unpack \
	v.what.strds \
	v.what.vect \
	wxpyimgview

include $(MODULE_TOPDIR)/include/Make/Dir.make

default: parsubdirs

=== temporal/Makefile ===
MODULE_TOPDIR = ..

SUBDIRS = \
	t.connect \
	t.copy \
	t.create \
	t.support \
	t.topology \
	t.list \
	t.info \
	t.merge \
	t.remove \
	t.sample \
	t.register \
	t.unregister \
	t.rast.accumulate \
	t.rast.accdetect \
	t.rast.aggregate \
	t.rast.aggregate.ds \
	t.rast.colors \
	t.rast.contour \
	t.rast.to.rast3 \
	t.rast.univar \
	t.rast.list \
	t.rast.mapcalc \
	t.rast.algebra \
	t.rast.neighbors \
	t.rast.series \
	t.rast.export \
	t.rast.out.vtk \
	t.rast.import \
	t.rast.gapfill \
	t.rast.extract \
	t.rast.to.vect \
	t.rast.what \
	t.rast3d.list \
	t.rast3d.extract \
	t.rast3d.mapcalc \
	t.rast3d.algebra \
	t.rast3d.univar \
	t.rename \
	t.select \
	t.snap \
	t.shift \
	t.upgrade \
	t.vect.list \
	t.vect.db.select \
	t.vect.export \
	t.vect.extract \
	t.vect.algebra \
	t.vect.import \
	t.vect.what.strds \
	t.vect.observe.strds \
	t.vect.univar

PGM = temporalintro

include $(MODULE_TOPDIR)/include/Make/Dir.make

default: htmldir

htmldir: parsubdirs

=== utils/Makefile ===
MODULE_TOPDIR = ..

SUBDIRS = timer g.html2man

include $(MODULE_TOPDIR)/include/Make/Dir.make
include $(MODULE_TOPDIR)/include/Make/Compile.make

default: parsubdirs $(UTILSDIR)/mkhtml.py \
	$(UTILSDIR)/generate_last_commit_file.py \
	$(UTILSDIR)/g.echo$(EXE)

$(UTILSDIR)/mkhtml.py: mkhtml.py
	$(INSTALL) $< $@

$(UTILSDIR)/generate_last_commit_file.py: generate_last_commit_file.py
	$(INSTALL) $< $@

$(UTILSDIR)/g.echo$(EXE): $(OBJDIR)/g.echo.o
	$(call linker_base,$(LINK),$(LDFLAGS) $(EXTRA_LDFLAGS),$(MANIFEST_OBJ))

=== db/db.login/Makefile ===
MODULE_TOPDIR = ../..

PGM = db.login

LIBES = $(DBMILIB) $(GISLIB)
DEPENDENCIES = $(DBMIDEP) $(GISDEP)

include $(MODULE_TOPDIR)/include/Make/Module.make

default: cmd

=== display/d.colorlist/Makefile ===
MODULE_TOPDIR = ../..

PGM = d.colorlist

LIBES = $(GISLIB)
DEPENDENCIES = $(GISDEP)

include $(MODULE_TOPDIR)/include/Make/Module.make

default: cmd

=== debian/changelog ===
grass (8.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2, no changes.
  * Update copyright file.
  * Update obsolete (build) dependencies.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 Jan 2023 06:37:28 +0100

grass (8.2.1~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Enable numpy3 dh helper.
  * Drop version-check.patch, applied upstream.
  * Update rules for INSTALL.md.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 24 Dec 2022 08:26:21 +0100

grass (8.2.0-3) unstable; urgency=medium

  * Add patch to use GRASS version for non-git builds.
  * Move python3-six from Recommends to Depends.
  * Add Rules-Requires-Root to control file.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Dec 2022 09:58:10 +0100

grass (8.2.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes.
  * Drop obsolete libwxgtk3.0-gtk3-dev build dependency.
    (closes: #1019768)
  * Update OpenGL build dependencies.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 Oct 2022 06:14:18 +0200

=== debian/control ===
Source: grass
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: bison,
               debhelper-compat (= 12),
               dh-python,
               doxygen,
               fakeroot,
               flex,
               graphviz,
               libblas-dev,
               libbz2-dev,
               libcairo2-dev,
               libfftw3-dev,
               libfreetype-dev,
               libgdal-dev (>= 2.0),
               libgeos-dev,
               libgl-dev,
               libglu-dev,
               libjpeg-dev,
               liblapack-dev,
               libmotif-dev | lesstif2-dev,
       default-libmysqlclient-dev,
               libncurses-dev,
               libnetcdf-dev,
               libpng-dev,
               libpq-dev,
               libproj-dev,
               libreadline-dev,
               libsqlite3-dev,
               libtiff-dev,
               libxmu-dev,
               libzstd-dev,
               netcdf-bin,
# install optipng if compressing the PNG images in the programmers' manual
#              optipng,
               pkg-config,
# proj-bin needed for nad2bin during config
               proj-bin,
               python3,
               python3-dev,
               python3-numpy,
               python3-pil,
               python3-ply,
               python3-six,
               python3-wxgtk4.0,
               unixodbc-dev,
               zlib1g-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/grass
Vcs-Git: https://salsa.debian.org/debian-gis-team/grass.git
Homepage: https://grass.osgeo.org/
Rules-Requires-Root: no

Package: grass
Architecture: all
Section: metapackages
Depends: grass-core,
         grass-gui,
         ${misc:Depends}
Recommends: grass-doc
Suggests: grass-dev
Description: Geographic Resources Analysis Support System (GRASS GIS)
 Commonly referred to as GRASS, this is a Geographic Information
 System (GIS) used for geospatial data management and analysis,
 image processing, graphics/map production, spatial modeling, and
 visualization. GRASS is currently used in academic and commercial
 settings around the world, as well as by many government agencies
 and environmental consulting companies.
 .
 Install this virtual package to get a full GRASS system.

Package: grass-core
Architecture: any
Depends: grass-doc,
         python3-distutils,
         python3-six,
         ${shlibs:Depends},
         ${python3:Depends},
         ${misc:Depends}
Recommends: gdal-bin,
# cs2cs used by m.proj, gdalinfo+gdal_translate used by a number of scripts
            proj-bin
Suggests: grass-dev,
          grass-gui,
# used by v.in.e00
          e00compr,
          avce00,
# used by i.spectral
          gnuplot,
# used by v.in.gpsbabel
          gpsbabel,
# used by v.in.garmin
          gpstrans,
# used by NVIZ, d.out.gpsdrive, r.out.mpeg
          netpbm,
# used by v.kridge
          python3-rpy2,
          python3-termcolor
Breaks: grass (<< 6.4.2-1~)
Provides: ${grass:Provides}
Replaces: grass (<< 6.4.2-1~)
Description: GRASS GIS core components
 Commonly referred to as GRASS, this is a Geographic Information
 System (GIS) used for geospatial data management and analysis,
 image processing, graphics/map production, spatial modeling, and
 visualization. GRASS is currently used in academic and commercial
 settings around the world, as well as by many government agencies
 and environmental consulting companies.
 .
 This package contains the core processing components, but not the GUI.

Package: grass-gui
Architecture: any
Depends: grass-core,
# pyGL needed for wxNviz
         python3-opengl,
         python3-wxgtk4.0,
         xterm | x-terminal-emulator,
         ${python3:Depends},
         ${misc:Depends}
Recommends:
# gs needed for wxPsmap PDF export
            ghostscript,
# PIL needed for wxPsmap preview
            python3-matplotlib,
            python3-pil
Breaks: grass (<< 6.4.2-1~)
Replaces: grass (<< 6.4.2-1~)
Description: GRASS GIS graphical user interfaces
 Commonly referred to as GRASS, this is a Geographic Information
 System (GIS) used for geospatial data management and analysis,
 image processing, graphics/map production, spatial modeling, and
 visualization. GRASS is currently used in academic and commercial
 settings around the world, as well as by many government agencies
 and environmental consulting companies.
 .
 This package contains the GRASS GUIs.

Package: grass-doc
Section: doc
Architecture: all
Depends: libjs-jquery,
         ${misc:Depends}
Suggests: grass,
          grass-dev-doc
Description: GRASS GIS user documentation
 Commonly referred to as GRASS, this is a Geographic Information
 System (GIS) used for geospatial data management and analysis,
 image processing, graphics/map production, spatial modeling, and
 visualization. GRASS is currently used in academic and commercial
 settings around the world, as well as by many government agencies
 and environmental consulting companies.
 .
 This package contains HTML documentation for the GRASS system.

Package: grass-dev-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: grass
Description: GRASS GIS Programmers' Manual
 Commonly referred to as GRASS, this is a Geographic Information
 System (GIS) used for geospatial data management and analysis,
 image processing, graphics/map production, spatial modeling, and
 visualization. GRASS is currently used in academic and commercial
 settings around the world, as well as by many government agencies
 and environmental consulting companies.
 .
 This package contains the HTML version of the GRASS Programmers' Manual.

Package: grass-dev
Section: devel
Architecture: any
Depends: grass-core (= ${binary:Version}),
# fakeroot used by patches/htmlgen-fakeroot; see changelog entry for 5.7.0+6.0.0beta2-2
         fakeroot,
         libfreetype-dev,
         libgdal-dev,
         libpq-dev,
         libproj-dev,
         ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
# git is needed by g.extension, a primary motivator for installing the grass-dev pkg
Recommends: git,
            subversion
Suggests: grass-dev-doc,
          pkg-config
Description: GRASS GIS development files
 Commonly referred to as GRASS, this is a Geographic Information
 System (GIS) used for geospatial data management and analysis,
 image processing, graphics/map production, spatial modeling, and
 visualization. GRASS is currently used in academic and commercial
 settings around the world, as well as by many government agencies
 and environmental consulting companies.
 .
 This package contains the header files for developing with GRASS.
 Install this package if you wish to develop software that manipulates
 GRASS data sets or install addons using the g.extension module.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

VERSION=$(shell echo `head -2 $(CURDIR)/include/VERSION` | sed -e 's/ //')
ABI=$(shell echo `head -3 $(CURDIR)/include/VERSION` | sed -e 's/ //g' -e 's/RC/-/')
GRASS_ABI=grass$(ABI)
BASE_NAME=grass$(VERSION)
PKG_NAME=grass

# TODO: fix these
CFLAGS+=-Wno-error=format-security

CFLAGS+=-Wall

CFLAGS+=-DNDEBUG

TEMPLATES=$(wildcard debian/*.in)

# Use SOURCE_DATE_EPOCH as random seed for reproducible builds
ifdef SOURCE_DATE_EPOCH
	export GRASS_RANDOM_SEED=$(SOURCE_DATE_EPOCH)
endif

versions:
	@echo "Version: $(VERSION)"
	@echo "ABI: $(ABI)"

templates:
	for TEMPLATE in $(TEMPLATES) ; do \
	    sed -e 's/@VERSION@/$(VERSION)/g' -e 's/@ABI@/$(ABI)/g' $$TEMPLATE > `echo $$TEMPLATE | sed 's/.in$$//'` ; \
	done

%:
	dh $@ --with python3,numpy3

override_dh_clean:
	dh_clean debian/grass-gui.image-file-in-usr-lib.list

	$(RM) lib/proj/nad2bin
	$(RM) utils/timer/main.o
	$(RM) raster/r.terraflow/IOStream/lib/src/libiostream.a
	$(RM) debian/$(BASE_NAME).1
	$(RM) error.log

	# clean doxygen documentation (programming man)
	$(RM) doxygen_sqlite3.db lib/doxygen_sqlite3.db
	$(RM) -r \
		doxygenhtml \
		html latex \
		rfc/html rfc/latex \
		lib/html lib/latex \
		gui/wxpython/html gui/wxpython/latex
	for LIBRARY in \
		db \
		g3d \
		gis \
		gmath \
		gpde \
		ogsf \
		proj \
		python \
		segment \
		vector \
		vector/dglib ; \
	do \
		$(RM) -r lib/$$LIBRARY/html lib/$$LIBRARY/latex ; \
	done

override_dh_auto_clean:
	[ ! -f $(CURDIR)/include/Make/Platform.make ] || $(MAKE) distclean

override_dh_auto_configure: templates
	dh_auto_configure -- \
                    --prefix=/usr/lib \
                    --enable-largefile \
                    --enable-socket \
                    --enable-shared \
                    --with-blas \
                    --with-bzlib \
                    --with-cairo \
                    --with-cxx \
                    --with-freetype \
                    --with-freetype-includes=/usr/include/freetype2 \
                    --with-gdal \
                    --with-geos \
                    --with-lapack \
                    --with-motif \
                    --with-mysql \
                    --with-mysql-includes="$(shell mysql_config --include | sed -e 's/-I//g')" \
                    --with-netcdf \
                    --with-nls \
                    --with-odbc \
                    --with-openmp \
                    --with-postgres \
                    --with-postgres-includes=$(shell pg_config --includedir) \
                    --with-proj-share=/usr/share/proj \
                    --with-python \
                    --with-readline \
                    --with-sqlite \
                    --with-x \
                    --with-zstd

override_dh_auto_build:
	dh_auto_build
	chmod 755 debian/fixpaths.sh

	# generate the Programmers' manual (in HTML)
	$(MAKE) htmldocs-single

	# save ~7mb of disk space by compressing PNG images (but takes a long time)
	##for file in `find debian/tmp/programming-manual/ -iname \*.png` ; do \
	##	optipng -o5 $$file ; \
	##done

override_dh_auto_install:
	# install grass core into debian/tmp
	dh_auto_install -- \
		INST_DIR=/usr/lib/$(BASE_NAME) \
		UNIX_BIN=/usr/bin

	# fix links
	debian/fixpaths.sh $(CURDIR)/debian/tmp debian/tmp

	# delete python compiled bytecode files (maybe dh_python2 takes care of this for us?)
	find debian/tmp/ -type f -name "*.pyc" -delete
	find debian/tmp/ -type d -name "__pycache__" -delete

	# change section from 1 to .1grass
	for m in debian/tmp/usr/lib/$(BASE_NAME)/docs/man/man1/*.1; do \
		n=`basename $$m .1`; mv $$m debian/tmp/usr/lib/$(BASE_NAME)/docs/man/man1/$$n.1grass; done
	for m in debian/tmp/usr/lib/$(BASE_NAME)/docs/man/man1/*.1grass; do \
		sed -i -e 's/^.TH \(.*\) 1/.TH \1 1grass/' "$$m"; done

	# escape minus signs which are command line options not hyphens
	for m in debian/tmp/usr/lib/$(BASE_NAME)/docs/man/man1/*.1grass; do \
		sed -i -e 's/\([ ([]\)-\([a-z]\)/\1\\-\2/g' \
			-e 's/\([ []\)--\([a-z]\)/\1\\-\\-\2/g' \
			-e 's/\[-\\fB/[\\-\\fB/' \
			-e 's/\[--\\fB/[\\-\\-\\fB/g' \
			-e 's/"\\fB-\([a-zA-Z0-9]\)/"\\fB\\-\1/' \
			-e 's/"\\fB--\([a-zA-Z0-9]\)/"\\fB\\-\\-\1/' \
			-e 's/\\fI-\([a-zA-Z0-9]\)/\\fI\-\1/g' \
			"$$m"; done

	# adjust from build-server build dir to end-user's install dir
	sed -i -e "s+^\(GRASS_HOME[ ]*=\) .*+\1 /usr/lib/$(BASE_NAME)+" \
		-e "s+^\(RUN_GISBASE[ ]*=\) .*+\1 /usr/lib/$(BASE_NAME)+" \
		debian/tmp/usr/lib/$(BASE_NAME)/include/Make/Platform.make

	# install pkg-config file
	mkdir -p debian/$(PKG_NAME)-dev/usr/share/pkgconfig
	install -m 644 grass.pc debian/$(PKG_NAME)-dev/usr/share/pkgconfig/$(BASE_NAME).pc

	# install icons and desktop file
	mkdir -p debian/tmp/usr/share/icons
	mv debian/tmp/usr/lib/$(BASE_NAME)/share/icons/hicolor debian/tmp/usr/share/icons

	mkdir -p debian/tmp/usr/share/applications
	mv debian/tmp/usr/lib/$(BASE_NAME)/share/applications/grass.desktop debian/tmp/usr/share/applications/$(BASE_NAME).desktop

	# install AppStream metadata
	mkdir -p debian/tmp/usr/share/metainfo
	mv debian/tmp/usr/lib/$(BASE_NAME)/share/metainfo/org.osgeo.grass.appdata.xml debian/tmp/usr/share/metainfo/org.osgeo.grass.appdata.xml

	# install grass wrapper scripts
	install -m 755 debian/x-grass debian/tmp/usr/bin/x-grass

	# Remove empty directory
	rmdir debian/tmp/usr/lib/$(BASE_NAME)/gui/wxpython/scripts/

	# Remove files not installed or installed by debhelper
	$(RM) -r debian/tmp/usr/lib/$(BASE_NAME)/AUTHORS \
	         debian/tmp/usr/lib/$(BASE_NAME)/CHANGES \
	         debian/tmp/usr/lib/$(BASE_NAME)/CITING \
	         debian/tmp/usr/lib/$(BASE_NAME)/COPYING \
	         debian/tmp/usr/lib/$(BASE_NAME)/GPL.TXT \
	         debian/tmp/usr/lib/$(BASE_NAME)/INSTALL.md \
	         debian/tmp/usr/lib/$(BASE_NAME)/REQUIREMENTS.html \
	         debian/tmp/usr/lib/$(BASE_NAME)/config.status \
	         debian/tmp/usr/lib/$(BASE_NAME)/contributors.csv \
	         debian/tmp/usr/lib/$(BASE_NAME)/contributors_extra.csv \
	         debian/tmp/usr/lib/$(BASE_NAME)/demolocation/PERMANENT/.tmp/* \
	         debian/tmp/usr/lib/$(BASE_NAME)/translation_status.json \
	         debian/tmp/usr/lib/$(BASE_NAME)/translators.csv

	# Move image files from /usr/lib/$(BASE_NAME) to /usr/share/$(BASE_NAME)
	mkdir -p debian/tmp/usr/share/$(BASE_NAME)/gui
	mv debian/tmp/usr/lib/$(BASE_NAME)/gui/icons/  debian/tmp/usr/share/$(BASE_NAME)/gui/
	mv debian/tmp/usr/lib/$(BASE_NAME)/gui/images/ debian/tmp/usr/share/$(BASE_NAME)/gui/

	find debian/tmp/usr/lib/$(BASE_NAME)/gui/wxpython/ -type f \( -name "*.jpg" -or -name "*.png" \) -print | sort > debian/grass-gui.image-file-in-usr-lib.list

	while read file; do \
		dir=`dirname "$$file" | sed 's/usr\/lib\//usr\/share\//'` ; \
		if [ ! -e "$$dir" ]; then \
			mkdir -p "$$dir" ; \
		fi ; \
		mv "$$file" "$$dir" ; \
	done < debian/grass-gui.image-file-in-usr-lib.list

	# Remove empty files
	find debian/tmp/ -type f -empty -name "class_graphical*" -print -delete

override_dh_install:
	# Strip binaries
	strip --strip-unneeded --remove-section=.comment --remove-section=.note debian/tmp/usr/lib/$(BASE_NAME)/bin/r.in.png
	strip --strip-unneeded --remove-section=.comment --remove-section=.note debian/tmp/usr/lib/$(BASE_NAME)/bin/r.out.png

	dh_install

	# delete duplicated grass-gui stuff from grass-core package
	for COMPONENT in gui wxpython; do \
		rm -rf debian/$(PKG_NAME)-core/usr/lib/$(BASE_NAME)/$$COMPONENT; \
	done

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

override_dh_python3:
	dh_python3 -pgrass-core -pgrass-gui -pgrass-dev
	dh_python3 -pgrass-core /usr/lib/$(BASE_NAME)/etc/
	dh_python3 -pgrass-core /usr/lib/$(BASE_NAME)/scripts/
	dh_python3 -pgrass-gui /usr/lib/$(BASE_NAME)/gui/
	dh_python3 -pgrass-dev /usr/lib/$(BASE_NAME)/utils/

override_dh_numpy3:
	dh_numpy3 -pgrass-core -pgrass-gui

override_dh_shlibdeps:

=== debian/watch ===
version=4
opts=\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/_/./g,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://grass.osgeo.org/grass82/source/ \
grass-([\d\._]*(?:(?:RC|rc|pre|dev|beta|alpha)?\d*))\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## grass 8.3.0

=== Makefile ===
--- 
+++ 
@@ -51,7 +51,7 @@
 
 SUBDIRS = $(DIRS)
 
-FILES = AUTHORS CHANGES CITING COPYING GPL.TXT INSTALL.md REQUIREMENTS.html contributors.csv contributors_extra.csv translators.csv
+FILES = AUTHORS CHANGES CITING COPYING GPL.TXT INSTALL.md REQUIREMENTS.md contributors.csv contributors_extra.csv translators.csv
 FILES_DST = $(patsubst %,$(ARCH_DISTDIR)/%,$(FILES))
 
 default:
@@ -106,7 +106,7 @@
 	$(MAKE) subdirs SUBDIRS=$(LIBDIRS)
 	$(MAKE) $(FILES_DST)
 
-cleandistdirs: 
+cleandistdirs:
 	-rm -rf $(ARCH_DISTDIR)
 	-rm -rf $(ARCH_BINDIR)

=== debian/changelog ===
grass (8.3.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 27 Jun 2023 05:42:49 +0200

grass (8.3.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop spelling-errors.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 24 Jun 2023 17:43:36 +0200

grass (8.3.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Fix broken symlink to grass.1.gz.
    (closes: #1036573)
  * Bump debhelper compat to 13.
  * Update watch file for GRASS 8.3 releases.
  * Refresh patches.
  * Explicitly configure without PDAL support.
  * Remove REQUIREMENTS.md instead of REQUIREMENTS.html.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 20 Jun 2023 09:14:19 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: science
 Priority: optional
 Build-Depends: bison,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
                doxygen,
                fakeroot,

=== debian/rules ===
--- 
+++ 
@@ -96,6 +96,7 @@
                     --with-nls \
                     --with-odbc \
                     --with-openmp \
+                    --with-pdal=no \
                     --with-postgres \
                     --with-postgres-includes=$(shell pg_config --includedir) \
                     --with-proj-share=/usr/share/proj \
@@ -180,7 +181,7 @@
 	         debian/tmp/usr/lib/$(BASE_NAME)/COPYING \
 	         debian/tmp/usr/lib/$(BASE_NAME)/GPL.TXT \
 	         debian/tmp/usr/lib/$(BASE_NAME)/INSTALL.md \
-	         debian/tmp/usr/lib/$(BASE_NAME)/REQUIREMENTS.html \
+	         debian/tmp/usr/lib/$(BASE_NAME)/REQUIREMENTS.md \
 	         debian/tmp/usr/lib/$(BASE_NAME)/config.status \
 	         debian/tmp/usr/lib/$(BASE_NAME)/contributors.csv \
 	         debian/tmp/usr/lib/$(BASE_NAME)/contributors_extra.csv \
@@ -229,6 +230,3 @@
 	dh_python3 -pgrass-dev /usr/lib/$(BASE_NAME)/utils/
 
 override_dh_numpy3:
-	dh_numpy3 -pgrass-core -pgrass-gui
-
-override_dh_shlibdeps:

## grass 8.3.1

=== debian/changelog ===
grass (8.3.1-2) unstable; urgency=medium

  * Drop unused python3-opengl dependency.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 17 Dec 2023 17:36:37 +0100

grass (8.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 25 Oct 2023 21:04:19 +0200

grass (8.3.1~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Add libjs-jquery to grass-dev-doc dependencies.
    (closes: #1040554)
  * Move git Recommends from grass-dev to grass-core for g.extension,
    and move subversion to grass-core Suggests for g.extension.
  * Use execute_{before,after} instead of override in rules file.
  * Enable Salsa CI.
  * Switch to dh-sequence-*.
  * Strip build path from programming-manual.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 13 Oct 2023 12:01:22 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,8 @@
 Build-Depends: bison,
                debhelper-compat (= 13),
                dh-python,
+               dh-sequence-numpy3,
+               dh-sequence-python3,
                doxygen,
                fakeroot,
                flex,
@@ -82,24 +84,28 @@
          ${python3:Depends},
          ${misc:Depends}
 Recommends: gdal-bin,
+# used by g.extension
+            git,
 # cs2cs used by m.proj, gdalinfo+gdal_translate used by a number of scripts
             proj-bin
 Suggests: grass-dev,
-          grass-gui,
+            grass-gui,
 # used by v.in.e00
-          e00compr,
-          avce00,
+            e00compr,
+            avce00,
 # used by i.spectral
-          gnuplot,
+            gnuplot,
 # used by v.in.gpsbabel
-          gpsbabel,
+            gpsbabel,
 # used by v.in.garmin
-          gpstrans,
+            gpstrans,
 # used by NVIZ, d.out.gpsdrive, r.out.mpeg
-          netpbm,
+            netpbm,
 # used by v.kridge
-          python3-rpy2,
-          python3-termcolor
+            python3-rpy2,
+            python3-termcolor,
+# used by g.extension
+            subversion
 Breaks: grass (<< 6.4.2-1~)
 Provides: ${grass:Provides}
 Replaces: grass (<< 6.4.2-1~)
@@ -116,8 +122,6 @@
 Package: grass-gui
 Architecture: any
 Depends: grass-core,
-# pyGL needed for wxNviz
-         python3-opengl,
          python3-wxgtk4.0,
          xterm | x-terminal-emulator,
          ${python3:Depends},
@@ -160,7 +164,8 @@
 Package: grass-dev-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: libjs-jquery,
+         ${misc:Depends}
 Suggests: grass
 Description: GRASS GIS Programmers' Manual
  Commonly referred to as GRASS, this is a Geographic Information
@@ -185,9 +190,6 @@
          ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
-# git is needed by g.extension, a primary motivator for installing the grass-dev pkg
-Recommends: git,
-            subversion
 Suggests: grass-dev-doc,
           pkg-config
 Description: GRASS GIS development files
